package com.blueland.bpm.manage.config.web;

import java.util.Hashtable;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.support.RedirectAttributes;

import com.blueland.bpm.common.base.BaseSpringController;
import com.blueland.bpm.common.page.Page;
import com.blueland.bpm.common.util.HttpUtils;
import com.blueland.bpm.log.model.LogSysRuntime;
import com.blueland.bpm.log.service.LogSysRuntimeManager;
/**
 * @author lw
 * @version 1.0
 * @since  
 */

@Controller
@RequestMapping(value = "logSysRuntime")
public class LogSysRuntimeController extends BaseSpringController{
	//默认多列排序,example: username desc,createTime asc
	protected static final String DEFAULT_SORT_COLUMNS = null; 
	@Autowired
	private LogSysRuntimeManager logSysRuntimeManager;
	
	private final String LIST_ACTION = "redirect:/logSysRuntime/list.do";
	
	public LogSysRuntimeController() {
	}
	

	/**
	 * 增加了@ModelAttribute的方法可以在本controller的方法调用前执行,可以存放一些共享变量,如枚举值
	 */
	@ModelAttribute
	public void init(ModelMap model) {
		//model.put("now", new java.sql.Timestamp(System.currentTimeMillis()));
	}
	
	/** 
	 * 执行搜索 
	 **/
	@RequestMapping(value = "list")
	public ModelAndView list(HttpServletRequest request,LogSysRuntime query) {
		ModelAndView result = new ModelAndView("/logSysRuntime/list");
		result.addAllObjects(toModelMap(logSysRuntimeManager.findPage(query), query));
		return result;
	}
	
	/** 
	 * 查看对象
	 **/
	@RequestMapping(value = "show")
	public ModelAndView show(HttpServletRequest request)  {
		String id = new String(request.getParameter("logId"));
		LogSysRuntime logSysRuntime = (LogSysRuntime)logSysRuntimeManager.getById(id);
		return new ModelAndView("/logSysRuntime/show","logSysRuntime",logSysRuntime);
	}
	
	
	/** 
	 * 保存新增对象
	 **/
	@RequestMapping(value = "save")
	public ModelAndView save(HttpServletRequest request,LogSysRuntime logSysRuntime,RedirectAttributes redirectAttributes)  {
		logSysRuntimeManager.save(logSysRuntime);
		redirectAttributes.addFlashAttribute(ACTION_MESSAGE, CREATED_SUCCESS);
		return new ModelAndView(LIST_ACTION);
	}
	
	
	/**
	 *删除对象
	 **/
	@RequestMapping(value = "delete")
	public ModelAndView delete(HttpServletRequest request,RedirectAttributes redirectAttributes) {
		String[] items = request.getParameterValues("items");
		for(int i = 0; i < items.length; i++) {
			Hashtable params = HttpUtils.parseQueryString(items[i]);
			
			String id = new String((String)params.get("logId"));
			
			logSysRuntimeManager.removeById(id);
		}
		redirectAttributes.addFlashAttribute(ACTION_MESSAGE, DELETE_SUCCESS);
		return new ModelAndView(LIST_ACTION);
	}
	
}

